module performance_test {
  module msg {
    module __plugin__ {
      // 8 bytes for time
      // 8 bytes for id
      // 1048576 - 16 = 1048560
      typedef octet octet__1048576[1048560];
      struct Array1m {
        octet__1048576 array;

        long long time;

        unsigned long long id;
      };
    }; // __plugin__
  }; // msg
}; // performance_test
